| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# EventCollectionContext Class Reference

Inheritance diagram for EventCollectionContext:

[legend]
Collaboration diagram for EventCollectionContext:

[legend]
List of all members.

## Detailed Description

Author:
  M.Frank

Version:
  1.0

Definition at line 29 of file EventCollectionSelector.cpp.

## Public Types
typedef std::list< std::string > | ListName
## Public Member Functions
| EventCollectionContext (const EventCollectionSelector *pSelector)
| Standard constructor.
virtual | ~EventCollectionContext ()
| Standard destructor.
const std::string & | currentInput () const
void | setCurrentInput (const std::string &v)
ListName & | files ()
virtual void * | identifier () const
void | setCriteria (const std::string &crit)
ListName::const_iterator | fileIterator ()
void | setFileIterator (ListName::const_iterator new_iter)
## Private Attributes
GenericAddress * | m_pAddressBuffer
const EventCollectionSelector * | m_pSelector
ListName | m_files
std::string | m_criteria
ListName::const_iterator | m_fileIterator
std::string | m_currentInput

## Member Typedef Documentation

typedef std::list<std::string> EventCollectionContext::ListName

Definition at line 31 of file EventCollectionSelector.cpp.

## Constructor & Destructor Documentation

EventCollectionContext::EventCollectionContext | ( | const EventCollectionSelector * | pSelector | ) |

Standard constructor.

Definition at line 71 of file EventCollectionSelector.cpp.

References GenericAddress::addRef(), and m_pAddressBuffer.

    00072   : m_pSelector(pSelector)
    00073 {
    00074   m_pAddressBuffer = new GenericAddress();
    00075   m_pAddressBuffer->addRef();
    00076 }

EventCollectionContext::~EventCollectionContext | ( |  | ) | `[virtual]`

Standard destructor.

Definition at line 67 of file EventCollectionSelector.cpp.

References m_pAddressBuffer, and GenericAddress::release().

    00067                                                 {
    00068   m_pAddressBuffer->release();
    00069 }

## Member Function Documentation

const std::string& EventCollectionContext::currentInput | ( |  | ) | const`[inline]`

Definition at line 45 of file EventCollectionSelector.cpp.

    00045                                         {
    00046     return m_currentInput;
    00047   }

void EventCollectionContext::setCurrentInput | ( | const std::string & | v | ) | `[inline]`

Definition at line 48 of file EventCollectionSelector.cpp.

    00048                                            {
    00049     m_currentInput = v;
    00050   }

ListName& EventCollectionContext::files | ( |  | ) | `[inline]`

Definition at line 51 of file EventCollectionSelector.cpp.

    00051                     {
    00052     return m_files;
    00053   }

virtual void* EventCollectionContext::identifier | ( |  | ) | const`[inline, virtual]`

Implements IEvtSelector::Context.

Definition at line 54 of file EventCollectionSelector.cpp.

    00054                                    {
    00055     return (void*)m_pSelector;
    00056   }

void EventCollectionContext::setCriteria | ( | const std::string & | crit | ) | `[inline]`

Definition at line 57 of file EventCollectionSelector.cpp.

    00057                                           {
    00058     m_criteria = crit;
    00059   }

ListName::const_iterator EventCollectionContext::fileIterator | ( |  | ) | `[inline]`

Definition at line 60 of file EventCollectionSelector.cpp.

    00060                                                {
    00061     return m_fileIterator;
    00062   }

void EventCollectionContext::setFileIterator | ( | ListName::const_iterator | new_iter | ) | `[inline]`

Definition at line 63 of file EventCollectionSelector.cpp.

    00064   {  m_fileIterator = new_iter;   }

## Member Data Documentation

GenericAddress* EventCollectionContext::m_pAddressBuffer`[private]`

Definition at line 33 of file EventCollectionSelector.cpp.

Referenced by EventCollectionContext(), and ~EventCollectionContext().

const EventCollectionSelector* EventCollectionContext::m_pSelector`[private]`

Definition at line 34 of file EventCollectionSelector.cpp.

ListName EventCollectionContext::m_files`[private]`

Definition at line 35 of file EventCollectionSelector.cpp.

std::string EventCollectionContext::m_criteria`[private]`

Definition at line 36 of file EventCollectionSelector.cpp.

ListName::const_iterator EventCollectionContext::m_fileIterator`[private]`

Definition at line 37 of file EventCollectionSelector.cpp.

std::string EventCollectionContext::m_currentInput`[private]`

Definition at line 38 of file EventCollectionSelector.cpp.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiSvc/v17r1/src/EventSelector/EventCollectionSelector.cpp